process.env.NODE_ENV = 'test';

const mongoose = require('mongoose');
const adModel = require('../models/ad');

const chai = require('chai');
const chaiHttp = require('chai-http');
const server = require('../app');

const should = chai.should();

require('dotenv').config();

mongoose.connect(process.env.DB_TEST_CONNECTION_STRING, {
  useNewUrlParser: true,
  useUnifiedTopology: true,
});

chai.use(chaiHttp);

describe('Books', () => {
  beforeEach((done) => {
    adModel.remove({}, (err) => {
      if (err) {
        console.error(err);
      }

      done();
    });
  });

  // Requête de consultation des annonces
  describe('/GET ads', () => {
    it('Supposément obtient les annonces décrites ci-dessous', (done) => {
      chai.request(server)
          .get('/ads/')
          .end((err, res) => {
            res.should.have.status(200);
            res.body.should.be.a('array');
            res.body.length.should.be.eql(0);
            done();
          });
    });
  });
});
